[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#377956: ITP: python-psycopgda2 -- PostgreSQL adapter for Python

Package: wnpp
Severity: wishlist
Owner: Toni Mueller <toni@debian.org>


I intend to package this module which would be a successor of

* Package name    : python-psycopgda2
  Version         : 2.0.2
  Upstream Author : Federico Di Gregorio <fog@debian.org>
* URL             : http://initd.org/pub/software/psycopg/
* License         : GPL with OpenSSL and Pg exeption, ZPL and BSD for parts of the package
  Programming Lang: C, Python
  Description     : PostgreSQL adapter for Python

psycopg - Python-PostgreSQL Database Adapter

psycopg is a PostgreSQL database adapter for the Python programming
language. This is version 2, a complete rewrite of the original code to
provide new-style classes for connection and cursor objects and other
sweet candies. Like the original, psycopg 2 was written with the aim of
being very small and fast, and stable as a rock.

psycopg is different from the other database adapter because it was
designed for heavily multi-threaded applications that create and destroy
lots of cursors and make a conspicuous number of concurrent INSERTs or
UPDATEs. psycopg 2 also provide full asycronous operations for the
really brave programmer.

psycopg is free software ("free as in freedom" but I like beer too.)
Licensing information is available in the LICENSE file.

Note: If there is already a package (which I failed to detect), please
notify me. In that case, I'd like to avoid duplicating the effort.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-1-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Reply to: